apply plugin: PublishJarsPlugin

repositories {
  mavenCentral()
}

dependencies {
  implementation project(':engine:i18n')
  annotationProcessor project(':engine:i18n')

  api group: 'org.geotools', name: 'gt-main', version: project.property('geotoolsVersion')
  api group: 'org.locationtech.jts', name: 'jts-core', version: project.property('jtsVersion')
  api group: 'io.dropwizard.metrics', name: 'metrics-core', version: '4.0.0'
}

publishJars {
  artifactId = 'engine-api'
}
